## apport 2.20.11-0ubuntu80

=== debian/changelog ===
apport (2.20.11-0ubuntu80) jammy; urgency=medium

  * kde/apport-kde: Ensure we are passing integers to setGeometry
    (LP: #1965830) 

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Mar 2022 12:34:10 -0700

## apport 2.20.11-0ubuntu82

=== debian/changelog ===
apport (2.20.11-0ubuntu82) jammy; urgency=medium

  * whoopsie-upload-all:
    - Catch zlib.error when decoding CoreDump from crash file (LP: #1947800)
    - Catch FileNotFoundError during process_report (LP: #1867204)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 13 Apr 2022 22:20:41 +0200

apport (2.20.11-0ubuntu81) jammy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Apr 2022 09:58:15 -0700

=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-translations,
 gdb,
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-release,
 net-tools,
 python3-all
Build-Depends-Indep: python3-distutils-extra (>= 2.24~),
 python3-apt (>= 0.7.9),
 dh-python,
 intltool,
 xvfb,
 python3-mock,
 procps,
 psmisc,
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 pycodestyle | pep8,
 pyflakes3,
 xterm,
 dbus-x11,
 gvfs-daemons,
 libglib2.0-dev,
 libc6-dbg | libc-dbg,
 default-jdk | java-sdk
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.8
X-Python3-Version: >= 3.0
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/jammy/apport/ubuntu
Homepage: https://wiki.ubuntu.com/Apport

Package: apport
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 ${misc:Depends}
Recommends: apport-symptoms, python3-systemd
Suggests: apport-gtk | apport-kde, policykit-1
Replaces: python-apport (<< 2.2-0ubuntu1), core-dump-handler
Breaks: python-apport (<< 2.2-0ubuntu1)
Conflicts: core-dump-handler
Provides: core-dump-handler
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).

Package: python3-problem-report
Section: python
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends}
Description: Python 3 library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python3-apport
Section: python
Architecture: all
Depends: ${python3:Depends},
 python3-apt (>= 0.7.9),
 python3-httplib2,
 python3-problem-report (>= 0.94),
 lsb-release,
 python3-launchpadlib,
 python3-yaml,
 ${misc:Depends}
Recommends: apport
Description: Python 3 library for Apport crash report handling
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 python3-launchpadlib,
 apt,
 binutils,
 dpkg-dev,
 gdb,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 ${misc:Depends}
Suggests: gdb-multiarch
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces. This can optionally use a sandbox for installing debug symbol
 packages and doing the processing, so that entire process of retracing crashes
 can happen with normal user privileges without changing the system.
 .
 You need to install gdb-multiarch if you want to be able to retrace crash
 reports which happened on a different architecture than the one you run
 apport-retrace on.

Package: apport-valgrind
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apt,
 binutils,
 valgrind (>= 3.8.1-1ubuntu1~),
 dpkg-dev,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 ${misc:Depends}
Description: valgrind wrapper that first downloads debug symbols
 apport-valgrind is a valgrind wrapper that automatically downloads related
 available debug symbols and provides them to valgrind's memcheck tool, which
 is executed. The output is a valgrind log file ("valgrind.log") that contains
 stack traces (with as many symbols resolved as available) and that shows
 memory leaks.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 python3-gi,
 apport (>= 0.41),
 procps,
 gnome-terminal | x-terminal-emulator,
 whoopsie-preferences,
 ${misc:Depends}
Recommends: update-notifier, gdb | gdb-minimal
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.

Package: apport-kde
Section: kde
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 python3-pyqt5,
 apport (>= 0.41),
 procps,
 konsole | x-terminal-emulator,
 ${misc:Depends}
Recommends: kubuntu-notification-helper | lxqt-notificationd, gdb-minimal | gdb
Description: KDE frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a KDE frontend for browsing and handling the
 crash reports.

Package: dh-apport
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
 ${misc:Depends}
Description: debhelper extension for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a debhelper extension to make it easier for other
 packages to include apport hooks.

Package: apport-noui
Section: utils
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apport (>= 2.20.10-0ubuntu4),
 procps,
 gdb-minimal | gdb,
 whoopsie (>= 0.2.77),
 ${misc:Depends}
Description: tools for automatically reporting Apport crash reports
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 Installing this package will configure your system to automatically submit
 all new Apport crash reports.

=== debian/tests/control ===
Tests: upstream-system
Depends: apport,
 apport-retrace,
 apport-valgrind,
 apport-gtk,
 apport-kde,
 build-essential,
 python3-twisted,
 python3-mock,
 xvfb,
 xterm,
 dbus-x11,
 at-spi2-core,
 gvfs-daemons,
 gnome-icon-theme,
 libglib2.0-dev,
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
http://launchpad.net/apport/+download .*/apport-([0-9.]+)\.tar\.gz

## apport 2.20.11-0ubuntu82.4

=== debian/changelog ===
apport (2.20.11-0ubuntu82.4) jammy-security; urgency=medium

  * SECURITY UPDATE: viewing an apport-cli crash with default pager could
    escalate privilege (LP: #2016023)
    - apport/fileutils.py: Add get_process_environ()
    - apport/ui.py, apport/user_group.py, bin/apport-cli: drops privilege to
      users environment before execution
    - test/test_fileutils.py, test/test_ui.py, test/test_user/group.py: Add
      test cases for new code
    - CVE-2023-1326

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 19:00:36 +0200

apport (2.20.11-0ubuntu82.3) jammy; urgency=medium

  * Replace deprecated 'imp' module (LP: #1947425)
  * Fix KeyError: 'CasperMD5json' (LP: #1964828)
  * apport-kde: Fix inverse order of choices (LP: #1967965)
  * apport-unpack: Fix ValueError: ['separator'] has no binary content
    (LP: #1889443)
  * test:
    - Mock add_gdb_info calls in KDE UI tests
    - Fix KDE UI tests if whoopsie.path is disabled
    - Fix race with progress dialog in KDE UI tests
    - Run UI KDE tests again
    - Determine source package dynamically in test_run_crash_kernel
      (LP: #1992172)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 24 Nov 2022 12:47:19 +0100

apport (2.20.11-0ubuntu82.2) jammy; urgency=medium

  * Point Vcs-* URIs to git
  * Grab a slice of JournalErrors around the crash time (LP: #1962454)
  * data/apport:
    - Initialize error log as first step (LP: #1989467)
    - Fix PermissionError for setuid programs inside container (LP: #1982487)
    - Fix reading from stdin inside containers (LP: #1982555)
  * Fix autopkgtest test case failures (LP: #1989467):
    - Mark autopkgtest with isolation-container restriction
    - Fix failure if kernel module isofs is not installed
    - Do not check recommended dependencies
    - Skip UI test if kernel thread is not found
    - Fix race in test_crash_system_slice
    - Fix check for not running test executable
    - Use shadow in *_different_binary_source
    - Mock kernel package version in UI test
    - Fix test_kerneloops_nodetails if kernel is not installed
    - Drop broken test_crash_setuid_drop_and_kill
    - Expect linux-signed on arm64/s390x as well
    - Skip SegvAnalysis for non x86 architectures
    - Use unlimited core ulimit for SIGQUIT test
    - Fix race with progress window in GTK UI tests
    - Use sleep instead of yes for tests
    - Fix test_add_gdb_info_script on armhf
    - Fix wrong Ubuntu archive URI on ports
    - Fix KeyError in test_install_packages_unversioned
    - Depend on python3-systemd for container tests
    - Depend on psmisc for killall binary
    - Replace missing oxideqt-codecs
    - Drop broken test_install_packages_from_launchpad
    - Fix test_install_packages_permanent_sandbox* for s390x

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Sep 2022 18:28:26 +0200

apport (2.20.11-0ubuntu82.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Fix multiple security issues
    - data/apport: Fix too many arguments for error_log().
    - data/apport: Use proper argument variable name executable_path.
    - etc/init.d/apport: Set core_pipe_limit to a non-zero value to make
      sure the kernel waits for apport to finish before removing the /proc
      information.
    - apport/fileutils.py, data/apport: Search for executable name if one
      wan't provided such as when being called in a container.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Refactor duplicate code into search_map() function.
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)
    - data/apport: Clarify error message.
    - apport/fileutils.py: Fix typo in comment.
    - apport/fileutils.py: Do not call str in loop.
    - data/apport, etc/init.d/apport: Switch to using non-positional
      arguments. Get real UID and GID from the kernel and make sure they
      match the process. Also fix executable name space handling in
      argument parsing. (CVE-2022-28658, CVE-2021-3899)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 May 2022 09:23:35 -0400

## apport 2.20.11-0ubuntu82.5

=== debian/changelog ===
apport (2.20.11-0ubuntu82.5) jammy; urgency=medium

  * apport-gtk: Exclude trailing dot from URL links (LP: #1978301)
  * apport-bug: Add /snap/bin to PATH for Firefox snap on Lubuntu
    (LP: #1973470)
  * test:
    - Clear environment for test_run_as_real_user_no_sudo
    - Fix GTK UI tests if whoopsie.path is disabled
    - tests: Fix GTK UI race condition and reduce timeout again, saving
      five minutes test execution time (LP: #1780767)
    - tests: Fix race in tests for run_report_bug()

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 01:08:26 +0200

## apport 2.20.11-0ubuntu82.6

=== debian/changelog ===
apport (2.20.11-0ubuntu82.6) jammy; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/subiquity.py: update information collection (LP: #2067775)
    - Collect the ubuntu-desktop-bootstrap details if available
    - Add information about snap update/refresh state
    - Attach logs and change key names to align with the information
      attached by subiquity's self-collection
    - Attach hardware information
    - Ensure bug reports are always private since there may be private
      information in the logs
    - Don't require sudo for logs collection
    - Add journal logs
    - Ensure snap revision is included in both deb and snap collection
      style
    - Handle version information when permission elevation fails.

  [ Benjamin Drung ]
  * Switch source format from 1.0 native to 3.0 (native)
    for betting handling in git

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 10 Jul 2024 16:48:53 +0200

## apport 2.20.11-0ubuntu82.8

=== debian/changelog ===
apport (2.20.11-0ubuntu82.8) jammy-security; urgency=medium

  * SECURITY REGRESSION: apport not generating core dumps inside containers
    (LP: #2112272)
    - data/apport: Check the exe mtime within the proc root mount.

 -- Octavio Galland <octavio.galland@canonical.com>  Wed, 04 Jun 2025 15:56:45 -0300

apport (2.20.11-0ubuntu82.7) jammy-security; urgency=medium

  * SECURITY UPDATE: Insecure report permissions (LP: #2106338)
    - data/apport: Do not change report group to report owners primary group.
    - CVE-2025-5467
  * SECURITY UPDATE: Race condition when forwarding core files to containers
    (LP: #2107472)
    - data/apport: Do not override options.pid.
    - data/apport: Open /proc/<pid> as early as possible.
    - data/fileutils.py: Respect proc_pid_fd in get_core_path.
    - test/test_fileutils.py: Respect proc_pid_fd in get_core_path.
    - data/apport: Use opened /proc/<pid> everywhere.
    - data/apport: Do consistency check before forwarding crashes.
    - data/apport: Require --dump-mode to be specified.
    - data/apport: Determine report owner by dump_mode.
    - test/test_signal_crashes.py: Determine report owner by dump_mode.
    - data/apport: Do not forward crash for dump_mode == 2.
    - data/apport: Support pidfd (%F) parameter from kernel.
    - etc/init.d/apport: Support pidfd (%F) parameter from kernel.
    - CVE-2025-5054

 -- Octavio Galland <octavio.galland@canonical.com>  Thu, 22 May 2025 17:41:12 -0300

## apport 2.20.11-0ubuntu82.9

=== debian/changelog ===
apport (2.20.11-0ubuntu82.9) jammy-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - data/apport: Catch FileNotFoundError when trying to open /proc/<pid>.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 12:44:47 -0300

## apport 2.20.11-0ubuntu82.10

=== test/data/testclick/CMakeLists.txt ===
project(com.example.testclick)
cmake_minimum_required(VERSION 2.8.9)

# Standard install paths
include(GNUInstallDirs)

set(CMAKE_INSTALL_PREFIX /)
set(CMAKE_INSTALL_BINDIR /)
set(DATA_DIR /)

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/bin/pycrash
	DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(click)

=== debian/changelog ===
apport (2.20.11-0ubuntu82.10) jammy-security; urgency=medium

  * SECURITY REGRESSION: Type error during error handling (LP: #2117236)
    - data/apport: Use correct format specifier during error handling when
      /proc/<pid> is not found.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 29 Jul 2025 12:25:17 -0300

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/jammy/apport/ubuntu
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/jammy
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python3,translations,systemd --buildsystem pybuild

# needs manual commands for Python 3, see Debian #597105
override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# drop LD_PRELOAD to avoid running under fakeroot; drop TMPDIR to work
	# around LP#972324 (set by autopkgtest)
	# run subset of tests that work on buildds, full tests are in
	# autopkgtest
	set -e; for t in apport_unpack apport_valgrind crashdb hooks packaging \
	         parse_segv problem_report rethread; do \
	    env -u LD_PRELOAD -u TMPDIR APPORT_TEST_NOXVFB=1 sh test/run $$t; \
	done
endif

override_dh_installinit:
	dh_installinit --error-handler=true

override_dh_install:
	dh_install -X.pyc -X.egg-info --list-missing
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_apport debhelper/dh_apport.1

override_dh_python3:
	dh_python3 --skip-private

=== debian/tests/control ===
Tests: upstream-system
Depends: apport,
 apport-retrace,
 apport-valgrind,
 apport-gtk,
 apport-kde,
 build-essential,
 psmisc,
 python3-twisted,
 python3-mock,
 python3-systemd,
 xvfb,
 xterm,
 dbus-x11,
 at-spi2-core,
 gvfs-daemons,
 gnome-icon-theme,
 libglib2.0-dev,
Restrictions: allow-stderr, isolation-container, needs-root

## apport 2.23.1

=== debian/changelog ===
apport (2.23.1-0ubuntu3.2) kinetic-security; urgency=medium

  * Let apport depend on recent python3-problem-report for recent bug fix
  * SECURITY UPDATE: viewing an apport-cli crash with default pager could
    escalate privilege (LP: #2016023)
    - d/p/refactor-Introduce-run_as_real_user.patch: Introduce
      run_as_real_user()
    - d/p/fix-Only-open-browser-as-user-via-sudo-if-running-as-root.patch:
      Only open browser as user (via sudo) if running as root
    - d/p/Replace-sudo-by-dropping-privileges-ourselves.patch: Replace sudo by
      dropping privileges ourselves
    - debian/patches/CVE-2023-1326.patch: drops privilege to users environment
      before execution
    - CVE-2023-1326

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 12:38:24 +0200

apport (2.23.1-0ubuntu3.1) kinetic; urgency=medium

  * Declare python3-apport breaking older apport/apport-gtk/apport-kde
    (LP: #1997759)
  * Catch malformed problem report (LP: #1996040)
  * Catch ValueError: not enough values to unpack (LP: #1995100)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Dec 2022 02:38:15 +0100

apport (2.23.1-0ubuntu3) kinetic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.10
    release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 13 Oct 2022 10:39:02 +0530

apport (2.23.1-0ubuntu2) kinetic; urgency=medium

  * tests: Determine source package dynamically in test_run_crash_kernel
    (LP: #1992172)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 18:24:45 +0200

apport (2.23.1-0ubuntu1) kinetic; urgency=medium

  * New upstream bug-fix release.
    - Disable debuginfod when collecting a report (LP: #1989803)
    - apport-cli: Fix AttributeError: 'bytes' object has no attribute 'fileno'
      (LP: #1991200)
    - apport-bug: Add `/snap/bin` to `PATH` for Firefox snap on Lubuntu
      (LP: #1973470)
  * Drop cherry-picked upstream patches
  * tests: Fix path for installed apport-cli

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Oct 2022 16:25:48 +0200

apport (2.23.0-0ubuntu2) kinetic; urgency=medium

  * tests: Wait for test process to be started (LP: #1989365)
  * tests: Fix psutil.NoSuchProcess in wait_for_gdb_child_process
    (LP: #1989371)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Sep 2022 14:04:42 +0200

apport (2.23.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - apport-gtk:
      - Gracefully handle import failure of gi (LP: #1980561)
      - Catch AssertionError when importing Gdk (LP: #1980238)
    - data/apport:
      - Fix PermissionError for setuid programs inside container (LP: #1982487)
      - Fix reading from stdin inside containers (LP: #1982555)
    - apport-kde:
      - Fix inverse order of choices (LP: #1967965)
      - Import apport before usage (LP: #1980553)
      - Drop old workaround for bug in SIP destructor (LP: #1980553)
    - apport-unpack: Fix ValueError: ['separator'] has no binary content
      (LP: #1889443)
    - Fix _run_hook getting called with ui=None (LP: #1983481)
  * Refresh patches and drop backported patches
  * Fix pydocstyle and pylint complains in patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 22 Aug 2022 22:31:55 +0200

apport (2.22.0-0ubuntu4) kinetic; urgency=medium

  * tests: Use sleep instead of yes for tests
  * apport: Initialize error log as first step
  * Depend on python3-systemd for autopkgtest system-tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 07 Jul 2022 20:44:02 +0200

apport (2.22.0-0ubuntu3) kinetic; urgency=medium

  * tests: Fix killing test executable too early (LP: #1980390)
  * tests: Fix test_add_gdb_info_script on armhf
  * autopkgtest: Depend on Ubuntu keyring packages for system tests
  * tests: Fix wrong Ubuntu archive URI on ports
  * tests: Fix KeyError in test_install_packages_unversioned
  * Fix trying to find debug packages for non-existing version
  * tests: Upgrade APT tests to use Ubuntu 22.04 (jammy)
  * tests: Fix IndexError in test_crash_setuid_drop
  * tests: Print Apport log if no report is found

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Jul 2022 16:56:52 +0200

apport (2.22.0-0ubuntu2) kinetic; urgency=medium

  * apport-gtk: Fix importing the wrong Gdk version

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Jun 2022 13:41:05 +0200

apport (2.22.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - Replace `ProblemReport.get_date` by `ProblemReport.get_timestamp`, fixes
      regression in 2.21.0 (LP: #1978487)
    - apport-gtk: Exclude trailing dot from URL links (LP: #1978301)
    - Fix `AttributeError`: 'NoneType' object has no attribute 'write', fixes
      regression in 2.21.0 (LP: #1979211)
    - apport_python_hook: Properly handle missing modules (LP: #1774843)
    - apport_python_hook: Fix FileNotFoundError if the current directory was
      deleted (LP: #1979637)
    - apport_python_hook: Fix crash if os.getcwd() fails (LP: #1977954)
    - Replace deprecated 'imp' module (LP: #1947425)
    - whoopsie-upload-all: Fix 'EOFError' object has no attribute 'errno',
      fixes regression in 2.21.0 (LP: #1979681)
  * Fix KeyError: 'CasperMD5json'

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Jun 2022 12:03:00 +0200

apport (2.21.0-0ubuntu2) kinetic; urgency=medium

  * tests: Use unlimited core ulimit for SIGQUIT test
  * data/apport: Fix log file writing if chown/chmod fails

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 Jun 2022 15:39:32 +0200

apport (2.21.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)


=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-translations,
 gdb,
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-release,
 pkg-config,
 python3-all,
 python3-gi,
Build-Depends-Indep:
 default-jdk-headless | java-sdk-headless,
 dh-python,
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 intltool,
 iputils-ping,
 kmod,
 pycodestyle | pep8,
 pyflakes3,
 python3-apt (>= 0.7.9),
 python3-distutils-extra (>= 2.24~),
 python3-launchpadlib,
 python3-psutil,
 python3-systemd,
 valgrind,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/kinetic
Homepage: https://wiki.ubuntu.com/Apport

Package: apport
Architecture: all
Depends:
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-base (>= 3.0-6),
 python3,
 python3-apport (>= ${source:Version}),
 python3-gi,
 python3-problem-report (>= 2.23.1-0ubuntu3.1),
 sensible-utils,
 ${misc:Depends},
Recommends: apport-symptoms, python3-systemd
Suggests: apport-gtk | apport-kde, policykit-1
Replaces: core-dump-handler, python-apport (<< 2.2-0ubuntu1)
Breaks: python-apport (<< 2.2-0ubuntu1)
Conflicts: core-dump-handler
Provides: core-dump-handler
Pre-Depends: ${misc:Pre-Depends}
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).

Package: python3-problem-report
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python3-apport
Section: python
Architecture: all
Depends:
 lsb-release,
 python3-apt (>= 0.7.9),
 python3-httplib2,
 python3-launchpadlib,
 python3-problem-report (>= 0.94),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends: apport
Breaks: apport (<< 2.23.1), apport-gtk (<< 2.23.1), apport-kde (<< 2.23.1)
Description: Python 3 library for Apport crash report handling
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends:
 apt,
 binutils,
 dpkg-dev,
 gdb,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 python3,
 python3-apport (>= ${source:Version}),
 python3-launchpadlib,
 ${misc:Depends},
Suggests: gdb-multiarch
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces. This can optionally use a sandbox for installing debug symbol
 packages and doing the processing, so that entire process of retracing crashes
 can happen with normal user privileges without changing the system.
 .
 You need to install gdb-multiarch if you want to be able to retrace crash
 reports which happened on a different architecture than the one you run
 apport-retrace on.

Package: apport-valgrind
Section: devel
Architecture: all
Depends:
 apt,
 binutils,
 dpkg-dev,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 python3,
 python3-apport (>= ${source:Version}),
 valgrind (>= 3.8.1-1ubuntu1~),
 ${misc:Depends},
Description: valgrind wrapper that first downloads debug symbols
 apport-valgrind is a valgrind wrapper that automatically downloads related
 available debug symbols and provides them to valgrind's memcheck tool, which
 is executed. The output is a valgrind log file ("valgrind.log") that contains
 stack traces (with as many symbols resolved as available) and that shows
 memory leaks.

Package: apport-gtk
Section: gnome
Architecture: all
Depends:
 apport (>= 0.41),
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 gnome-terminal | x-terminal-emulator,
 procps,
 python3,
 python3-apport (>= ${source:Version}),
 python3-gi,
 whoopsie-preferences,
 ${misc:Depends},
Recommends: gdb | gdb-minimal, update-notifier
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.

Package: apport-kde
Section: kde
Architecture: all
Depends:
 apport (>= 0.41),
 konsole | x-terminal-emulator,
 procps,
 python3,
 python3-apport (>= ${source:Version}),
 python3-pyqt5,
 ${misc:Depends},
Recommends: gdb-minimal | gdb, kubuntu-notification-helper | lxqt-notificationd
Description: KDE frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a KDE frontend for browsing and handling the
 crash reports.

Package: dh-apport
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: debhelper extension for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a debhelper extension to make it easier for other
 packages to include apport hooks.

Package: apport-noui
Section: utils
Architecture: all
Depends:
 apport (>= 2.20.10-0ubuntu4),
 gdb-minimal | gdb,
 procps,
 python3,
 python3-apport (>= ${source:Version}),
 whoopsie (>= 0.2.77),
 ${misc:Depends},
Description: tools for automatically reporting Apport crash reports
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 Installing this package will configure your system to automatically submit
 all new Apport crash reports.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python3,translations --buildsystem pybuild

# needs manual commands for Python 3, see Debian #597105
override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	tests/run-linters
	python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
endif

override_dh_installinit:
	dh_installinit --error-handler=true

override_dh_install:
	dh_install -X.pyc -X.egg-info
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_apport debhelper/dh_apport.1

override_dh_missing:
	dh_missing --list-missing

override_dh_python3:
	dh_python3 --skip-private

## apport 2.26.1

=== debian/changelog ===
apport (2.26.1-0ubuntu2) lunar; urgency=medium

  * fix(tests): Clear environment for test_run_as_real_user_no_sudo

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 00:17:27 +0200

apport (2.26.1-0ubuntu1) lunar; urgency=medium

  [ Benjamin Drung ]
  * New upstream bug-fix release.
    - SECURITY UPDATE: viewing an apport-cli crash with default pager could
      escalate privilege (LP: #2016023). Do not run sensible-pager as root
      if using sudo/pkexec.
    - Catch HTTPError in UserInterface.file_report (LP: #2008638)
    - Print proper error message if /proc/<pid> is gone (LP: #2008638)
    - Do not drop environment variables when calling GDB (LP: #2012374)
    - Fix parsing options with spaces in sources.list (LP: #1822712)
  * Disable Launchpad crash reports for 23.04 release

  [ Sebastien Bacher ]
  * Let subiquity collect the desktop installer details if available

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 20:17:37 +0200

apport (2.26.0-0ubuntu2) lunar; urgency=medium

  * fix: Mock query to Github in integration test

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 16:17:43 +0100

apport (2.26.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Depend on python3-requests for GitHub crash DB backend

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 01:50:21 +0100

apport (2.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
    - Add general hook image.py for collecting cloud build info
      (LP: #1724623)
    - Catch UnicodeDecodeError on a malformed problem report (LP: #1996040)
    - Fix TypeError in error(): not enough arguments for format string
      (LP: #1562477)
    - whoopsie-upload-all: Use NoninteractiveHookUI for add_hooks_info
      (LP: #2003098)
    - Use inclusive names. This includes renaming the directory
      /etc/apport/blacklist.d to /etc/apport/report-ignore and
      /etc/apport/whitelist.d to /etc/apport/report-only
  * Drop wine-preloader from Apports report-ignore list
  * Drop unneeded dependency on transitional lsb-base
  * Replace transitional policykit-1 by pkexec and polkitd
  * Bump Standards-Version to 4.6.2
  * Install apport-kde.desktop into apport-kde
  * Use dh_missing --fail-missing
  * Replace lsb_release call by platform.freedesktop_os_release and drop
    lsb-release dependency

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Feb 2023 12:03:57 +0100

apport (2.24.0-0ubuntu2) lunar; urgency=medium

  * Fix test failures with Python 3.11 (PR #57)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Jan 2023 17:34:18 +0100

apport (2.24.0-0ubuntu1) lunar; urgency=medium

  * New upstream bug-fix release.
    - Catch malformed problem reports (LP: #1996040)
    - Catch ValueError: not enough values to unpack (LP: #1995100)
    - Catch FileNotFoundError for missing desktop files (LP: #1997753)
    - Catch binascii.Error: Incorrect padding (LP: #1997912)
    - Catch AttributeError: NoneType object has no attribute origins
      (LP: #1997973)
  * Drop cherry-picked upstream patches
  * oem-getlogs: Use colon instead of a dot for chown command
  * Remove redundant section from apport-noui
  * Clarify that apport-noui is empty
  * Run black, isort, pydocstyle, pylint during package build

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Dec 2022 01:37:20 +0100

apport (2.23.1-0ubuntu5) lunar; urgency=medium

  * Declare python3-apport breaking older apport/apport-gtk/apport-kde
    (LP: #1997759)
  * build: Bump source/target Java version to 7

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Dec 2022 13:22:03 +0100

apport (2.23.1-0ubuntu4) lunar; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for lunar

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 15 Nov 2022 16:31:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,5 @@
 	dh_install -X.pyc -X.egg-info
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_apport debhelper/dh_apport.1
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_python3:
 	dh_python3 --skip-private

=== debian/tests/control ===
Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
Depends:
 apport,
 apport-retrace,
 apport-valgrind,
 default-jdk-headless | java-sdk-headless,
 gcc,
 kmod,
 libc6-dev,
 python3-distutils,
 python3-psutil,
 python3-systemd,
Restrictions: allow-stderr, needs-root
Features: test-name=unit-and-integration-tests

Tests: system-tests
Depends:
 apport,
 apport-gtk,
 apport-kde,
 apport-retrace,
 apport-valgrind,
 dbus,
 dbus-x11,
 dirmngr,
 gcc,
 gnome-icon-theme,
 gpg,
 gvfs-daemons,
 psmisc,
 python3-dbus,
 python3-systemd,
 ubuntu-dbgsym-keyring,
 ubuntu-keyring,
 xvfb,
Restrictions: allow-stderr, isolation-container, needs-root

## apport 2.27.0

=== debian/changelog ===
apport (2.27.0-0ubuntu5) mantic; urgency=medium

  * d/p/lp2038650: Fix crash reporting when going through the UI (LP: #2038650)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 09 Oct 2023 15:52:13 +0200

apport (2.27.0-0ubuntu4) mantic; urgency=medium

  * Disable Launchpad crash reports for the 23.10 release

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Oct 2023 12:56:17 -0700

apport (2.27.0-0ubuntu3) mantic; urgency=medium

  * fix: raise "gdb not found" as soon as detected (LP: #2031919)
  * bash-completion: Do not use ls in completion (LP: #1850804)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 29 Sep 2023 01:03:44 +0200

apport (2.27.0-0ubuntu2) mantic; urgency=medium

  * Run only pylint --errors-only and mypy from tests/run-linters (LP: #2028881)
  * Depend on dictionaries-common for having a dpkg diversion test package
    (LP: #2028879)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Jul 2023 18:59:34 +0200

apport (2.27.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - apport-unpack: Catch MalformedProblemReport on extraction (LP: #1997912)
  * Switch running test suite with pytest
  * Apply black changes and pylint fixes to patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Jul 2023 20:36:16 +0200

apport (2.26.1-0ubuntu3) mantic; urgency=medium

  * Enable Launchpad crash reports for mantic

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 May 2023 14:07:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  dh-translations,
  gdb,
  gir1.2-glib-2.0 (>= 1.29.17),
- lsb-release,
  pkg-config,
  python3-all,
  python3-gi,
@@ -18,34 +17,36 @@
  intltool,
  iputils-ping,
  kmod,
- pycodestyle | pep8,
- pyflakes3,
+ pylint,
  python3-apt (>= 0.7.9),
+ python3-dbus,
  python3-distutils-extra (>= 2.24~),
  python3-launchpadlib,
  python3-psutil,
+ python3-pytest,
+ python3-requests,
+ python3-rpm,
  python3-systemd,
+ python3-yaml,
  valgrind,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/kinetic
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
 Architecture: all
 Depends:
  gir1.2-glib-2.0 (>= 1.29.17),
- lsb-base (>= 3.0-6),
  python3,
  python3-apport (>= ${source:Version}),
  python3-gi,
- python3-problem-report (>= 2.23.1-0ubuntu3.1),
  sensible-utils,
  ${misc:Depends},
 Recommends: apport-symptoms, python3-systemd
-Suggests: apport-gtk | apport-kde, policykit-1
+Suggests: apport-gtk | apport-kde, pkexec, polkitd
 Replaces: core-dump-handler, python-apport (<< 2.2-0ubuntu1)
 Breaks: python-apport (<< 2.2-0ubuntu1)
 Conflicts: core-dump-handler
@@ -76,11 +77,11 @@
 Section: python
 Architecture: all
 Depends:
- lsb-release,
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-launchpadlib,
  python3-problem-report (>= 0.94),
+ python3-requests,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
@@ -196,7 +197,6 @@
  packages to include apport hooks.
 
 Package: apport-noui
-Section: utils
 Architecture: all
 Depends:
  apport (>= 2.20.10-0ubuntu4),
@@ -212,4 +212,4 @@
  helper hook provided by the Ubuntu kernel.
  .
  Installing this package will configure your system to automatically submit
- all new Apport crash reports.
+ all new Apport crash reports. Besides that it is an empty package.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	tests/run-linters
-	python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
+	tests/run-linters --errors-only
+	python3 -m pytest -ra -v tests/unit/ tests/integration/
 endif
 
 override_dh_installinit:

=== debian/tests/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
-Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
+Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m pytest -ra -v tests/unit/ tests/integration/
 Depends:
  apport,
  apport-retrace,
  apport-valgrind,
  default-jdk-headless | java-sdk-headless,
+ dictionaries-common,
  gcc,
  kmod,
  libc6-dev,
  python3-distutils,
  python3-psutil,
+ python3-pytest,
  python3-systemd,
 Restrictions: allow-stderr, needs-root
 Features: test-name=unit-and-integration-tests
@@ -29,6 +31,7 @@
  gvfs-daemons,
  psmisc,
  python3-dbus,
+ python3-pytest,
  python3-systemd,
  ubuntu-dbgsym-keyring,
  ubuntu-keyring,
